Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.strategy
Class BurstLoadStrategy

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.strategy.AbstractLoadStrategy
          com.eviware.soapui.impl.wsdl.loadtest.strategy.BurstLoadStrategy

All Implemented Interfaces:
  LoadStrategy, LoadTestRunListener

    public class BurstLoadStrategy

extends AbstractLoadStrategy

Burst LoadStrategy that pauses for a certain amount of time

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `BurstLoadStrategy.Factory` Factory for BurstLoadStrategy class

Field Summary
`static java.lang.String` | `STRATEGY_TYPE`

Fields inherited from interface com.eviware.soapui.impl.wsdl.loadtest.strategy.LoadStrategy
`CONFIGURATION_PROPERTY`

Constructor Summary
`BurstLoadStrategy()`
`BurstLoadStrategy(org.apache.xmlbeans.XmlObject config)`

Method Summary
`void` | `afterLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called after the execution of a loadtest when all threads have terminated
`void` | `beforeLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called before a load-test is about to be run
`void` | `beforeTestCase(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)` Called before the execution of a testcase
`org.apache.xmlbeans.XmlObject` | `getConfig()`
`javax.swing.JComponent` | `getConfigurationPanel()`

Methods inherited from class com.eviware.soapui.impl.wsdl.loadtest.strategy.AbstractLoadStrategy
`addConfigurationChangeListener, afterTestCase, afterTestStep, allowThreadCountChangeDuringRun, beforeTestStep, getType, loadTestStarted, loadTestStopped, notifyConfigurationChanged, removeConfigurationChangeListener, updateConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRATEGY_TYPE

    public static final java.lang.String STRATEGY_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BurstLoadStrategy

    public BurstLoadStrategy()

### BurstLoadStrategy

    public BurstLoadStrategy(org.apache.xmlbeans.XmlObject config)

Method Detail

### beforeLoadTest

    public void beforeLoadTest(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called before a load-test is about to be run

  Specified by:
    `beforeLoadTest` in interface `LoadTestRunListener`
  Overrides:
    `beforeLoadTest` in class `AbstractLoadStrategy`

### beforeTestCase

    public void beforeTestCase(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context,
                               TestRunner testRunner,
                               TestRunContext runContext)

  Description copied from interface: `LoadTestRunListener`
  Called before the execution of a testcase

  Specified by:
    `beforeTestCase` in interface `LoadTestRunListener`
  Overrides:
    `beforeTestCase` in class `AbstractLoadStrategy`

### afterLoadTest

    public void afterLoadTest(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a loadtest when all threads have terminated

  Specified by:
    `afterLoadTest` in interface `LoadTestRunListener`
  Overrides:
    `afterLoadTest` in class `AbstractLoadStrategy`

### getConfigurationPanel

    public javax.swing.JComponent getConfigurationPanel()

  Specified by:
    `getConfigurationPanel` in interface `LoadStrategy`
  Overrides:
    `getConfigurationPanel` in class `AbstractLoadStrategy`

### getConfig

    public org.apache.xmlbeans.XmlObject getConfig()

  Specified by:
    `getConfig` in interface `LoadStrategy`
  Overrides:
    `getConfig` in class `AbstractLoadStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.